3 Replies Latest reply: Nov 10, 2012 2:42 AM by Andreas Holmberg
Andreas Holmberg Level 1 Level 1 (0 points)

my mac tels me wen i open safari: you have osx 10.7.5. program neads mac os x 10.08 . I cant open it. and no safari to download?

Skärmavbild 2012-11-08 kl. 22.17.08.png


MacBook Pro (15-inch Mid 2010), Mac OS X (10.7.5)